

         %% no diary written %% 
         %% no change to display %% 

        
            % begin "matcfgstr" string, created by run_lastensq.py
            instclass = os;
            instname  = 'os38';
            pingtype  = 'nb';
            proc_yearbase  = 2010;
            yearbase  = 2010;
            cfg =get_uhdascfg('cfgbase'  , 'km1001c',...
                              'cfgpath'  , '/home/data/km1001c/proc/os38nb/config',...
                              'instclass', instclass,...
                              'instname' , instname,...
                              'pingtype' , pingtype);
            gbindirbase = cfg.gbindirbase;
            allparams = cfg.allparams;
             

        


        % heading correction instrument comes from config/cruise_cfg.m
        % NEW: override with hcorr_args, not hcorr_inst
        % (1) if there isn't one bomb out.
           if ~isfield(cfg, 'hcorr_args'),
               error('load_uhblk_tmp.m: no heading correction setting: check config/cruise_cfg.m -- version mismatch??')
           end

        % (3)  override from quick_adcp.py if desired
        %      eg. hcorr_args = {'posmv', 'pmv', 'acc_heading_cutoff', .018};
           cfg.hcorr_inst = 'posmv';              % this should be obsolete, but here for constistency
        % this is what is used. see get_rbinheading.m :
           %%====> quick_adcp.py overrriding:
 cfg.hcorr_args = {'posmv', 'pmv', 'acc_heading_cutoff', 0.018};

        % matlab does not know about post_headcorr at this point; only
        % "ping_headcorr = 0" or "ping_headcorr = 1"
        % matlab initializing ping_headcorr = 0
        ping_headcorr = 0;

        % quick_adcp.py overrides follow:
        %====> quick_adcp.py overrriding:
 ping_headcorr = 1;
        %====> quick_adcp.py overrriding:
 num_persistence = 24;


        params = get_params(allparams, instname, pingtype);

        params.showverbose = 0;
        params.pingedit = 'all';
        params.proc_yearbase = proc_yearbase;
        params.yearbase = yearbase;


        % params comes from ../config/cruiseid_proc.m
        % this matlab file is written by python: override some things here
        params.interval = 300;

        %%====> quick_adcp.py overrriding:
 params.bottom = 'xy2z';

        % can override single ping editing either manually ...
        % see get_pedefaults
        % ... or in an m-file
        if exist('override_editcfg.m','file')
                override_editcfg
        else
            fprintf('Using pingedit defaults (no editcfg override file: override_editcfg)\n')
        end

        %%====



        % This list MUST start at the beginning if the list of all
        % possible files.  DO NOT delete any files from the raw
        % directory after processing (averaging) has begun or it will
        % throw off total ensemble count used by write_ensblk.m


        % all files:
        files = {'/home/data/km1001c/raw/os38/km2010_029_63671.raw',...
'/home/data/km1001c/raw/os38/km2010_029_64800.raw',...
'/home/data/km1001c/raw/os38/km2010_029_72000.raw',...
'/home/data/km1001c/raw/os38/km2010_029_79200.raw',...
'/home/data/km1001c/raw/os38/km2010_030_00000.raw',...
'/home/data/km1001c/raw/os38/km2010_030_07200.raw',...
'/home/data/km1001c/raw/os38/km2010_030_14400.raw',...
'/home/data/km1001c/raw/os38/km2010_030_21600.raw',...
'/home/data/km1001c/raw/os38/km2010_030_28800.raw',...
'/home/data/km1001c/raw/os38/km2010_030_36000.raw',...
'/home/data/km1001c/raw/os38/km2010_030_43200.raw',...
'/home/data/km1001c/raw/os38/km2010_030_50400.raw',...
'/home/data/km1001c/raw/os38/km2010_030_57600.raw',...
'/home/data/km1001c/raw/os38/km2010_030_64800.raw',...
'/home/data/km1001c/raw/os38/km2010_030_69097.raw',...
'/home/data/km1001c/raw/os38/km2010_030_72000.raw',...
'/home/data/km1001c/raw/os38/km2010_030_79200.raw',...
'/home/data/km1001c/raw/os38/km2010_030_83559.raw',...
'/home/data/km1001c/raw/os38/km2010_030_83674.raw',...
'/home/data/km1001c/raw/os38/km2010_030_83730.raw',...
'/home/data/km1001c/raw/os38/km2010_030_84666.raw',...
'/home/data/km1001c/raw/os38/km2010_030_85516.raw',...
'/home/data/km1001c/raw/os38/km2010_031_00851.raw',...
'/home/data/km1001c/raw/os38/km2010_031_07200.raw',...
'/home/data/km1001c/raw/os38/km2010_031_14400.raw',...
'/home/data/km1001c/raw/os38/km2010_031_16997.raw',...
'/home/data/km1001c/raw/os38/km2010_031_17186.raw',...
'/home/data/km1001c/raw/os38/km2010_031_17261.raw',...
'/home/data/km1001c/raw/os38/km2010_031_17467.raw',...
'/home/data/km1001c/raw/os38/km2010_031_17538.raw',...
'/home/data/km1001c/raw/os38/km2010_031_17781.raw',...
'/home/data/km1001c/raw/os38/km2010_031_17854.raw',...
'/home/data/km1001c/raw/os38/km2010_031_21600.raw',...
'/home/data/km1001c/raw/os38/km2010_031_28018.raw',...
'/home/data/km1001c/raw/os38/km2010_031_28800.raw',...
'/home/data/km1001c/raw/os38/km2010_031_36000.raw',...
'/home/data/km1001c/raw/os38/km2010_031_43200.raw',...
'/home/data/km1001c/raw/os38/km2010_031_50400.raw'};


        % this should start with the most recent profile (from ens_blk*.log)
        % and start there. no need to fiddle with filelists.
        % It is automatically in incremental mode.

        write_ensblk(instclass, files, params,...
            'gbindir', fullfile(gbindirbase, instname),...
            'save_lastens', 1,...
            'hcorr_args', cfg.hcorr_args, ...
            'gyro_msginfo', cfg.best.heading_rule,...
            'ping_headcorr', ping_headcorr, ...
            'num_persistence', num_persistence, ...
            'pingtype', pingtype,  'max_BLKprofiles', 144,   'maxrunsecs', 300,...
            'save_editcfg', 0,...
            'verbose', 0);


     