
#!/usr/bin/env python

## written by quick_mplplots.py -- edit as needed:

## cruiseid      is 'ADCP'
## dbname        is 'aship'
## proc_yearbase is 2009
## printformats   is 'png'

import matplotlib.pyplot as plt





from pycurrents.adcp.quick_mpl import Navplot

PN = Navplot()
PN(dbname = 'aship',
   titlestr = 'ADCP: Ship Positions',
   proc_yearbase = 2009,
   fixfile = 'aship.gps',
   printformats = 'png',
   ddrange = None)

plt.show()
